Bug 141816 - net-snmp appears to have trouble with v3 calls on s390x
net-snmp appears to have trouble with v3 calls on s390x
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 16:51 EST by Suzanne Hillman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:12:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2004-12-03 16:51:26 EST
Description of problem: Running 'make test' in the source rpm causes a bunch of
failures for the v3 tests, and attempting to run any commands as v3 by hand also
fails. v2c and v1 work fine.


Version-Release number of selected component (if applicable):
net-snmp-5.0.9-2.30E.12 and net-snmp-5.0.9-2.30E.6 (not a regression)

How reproducible:
always

Steps to Reproduce:
1. install the source rpm, and untar the tarball
2. run configure, then run make test
3. if you are in the newer rpm, you will have to cd into testing before running
make test
  
Actual results:
Lots of failures that don't happen on any other arch - 
9:testing SNMPv3 get using initial of .1.3.6.1.2.1.1.3.0...FAIL
10:testing SNMPv3 getnext using initial of .1.3.6.1.2.1.1.3.0...FAIL
11:testing SNMPv3 bulkget of system...FAIL
12:testing SNMPv3 get using initial/MD5 of .1.3.6.1.2.1.1.3.0...FAIL
14:testing SNMPv3 get using templateSHA/SHA of .1.3.6.1.2.1.1.3.0...FAIL
16:testing for failure of SNMPv3 get using unknown user....FAIL
17:testing SNMPv3 user creation and usage using snmpusm...FAIL
18:testing SNMPv3 informs received and sent by tools...FAIL
19:testing SNMPv3 traps received and sent by tools...FAIL

Expected results:
No failures, like the other arches.

Additional info:
Similar behavior if you try to do correctly syntaxed v3 calls by hand.
Comment 1 RHEL Product and Program Management 2007-10-19 15:12:14 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.